v4.0

get

/ec-dataintegration-svc/rest/v4.0/studies/{studyId}/{mode}/subjects/history/all

Retrieves the history of all subjects in a mode. This version adds a screeningNumber field which stores value of subject number, while subject number holds randomization number if the subject is randomized. Also adds replaceRand field for replaced randomization.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    3F2504E04F8911D39A0C0305E82C3301
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : SubjectRespDto14
Type: object
Subject response details including fields like replacement randomization, unresolved queries etc..
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : RestResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top